<?php
/*
Plugin Name: Add LightBox & Title
Plugin URI: http://wordpress.org/extend/plugins/add-lightbox-title/
Description: This plugin automatically add the rel="lightbox[POST-ID]" to images linked in a post and in a comment, and recovers the image title. POST-ID is unique per post so all images per post are grouped in one lightbox set. Doesn't add the the files required for lightbox! It is inspired by Add Lightbox of Mdkart (http://mdkart.fr/blog/plugin-add-lightbox-pour-wordpress/)
Author: ppalli
Author URI: http://ppalli.googlepages.com/
Version: 0.2
1. Unzip the file add-lightbox-title.php or the folder /add-lightbox-title/
2. Upload it in /wp-content/plugins/ of your Wordpress installation
3. Activate the Plugin
4. And that's it!
*/
add_filter('the_content', 'addlightboxtitle_replace', 12);
add_filter('get_comment_text', 'addlightboxtitle_replace');
function addlightboxtitle_replace ($content) {
	global $post;
	$pattern = "/<a(.*?)href=('|\")([^>]*).(bmp|gif|jpeg|jpg|png)('|\")(.*?)>(.*?)title=('|\")(.*?)('|\")(.*?)<\/a>/i";
    $replacement = '<a$1href=$2$3.$4$5 title=$8$9$10 rel="lightbox['.$post->ID.']"$6>$7title=$8$9$10$11</a>';
    $content = preg_replace($pattern, $replacement, $content);
    return $content;
}
?>